edu.sc.seis.sod.subsetter.request

## Class PlottableRequest

- java.lang.Object
- - edu.sc.seis.sod.source.AbstractSource
  - - edu.sc.seis.sod.subsetter.request.PlottableRequest

- All Implemented Interfaces:
    SodElement, Source, RequestSubsetter, Subsetter

      public class PlottableRequest
      extends AbstractSource
      implements RequestSubsetter

- - ### Field Summary

    - ### Fields inherited from class edu.sc.seis.sod.source.AbstractSource

      `name, NAME_ELEMENT, RETRIES_ELEMENT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PlottableRequest(org.w3c.dom.Element config)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `StringTree` | `accept(edu.sc.seis.fissuresUtil.cache.CacheEvent event, edu.iris.Fissures.network.ChannelImpl channel, edu.iris.Fissures.IfSeismogramDC.RequestFilter[] request, CookieJar cookieJar)`
    `java.lang.String` | `getDNS()`

    - ### Methods inherited from class edu.sc.seis.sod.source.AbstractSource

      `appendToName, getFissuresNamingService, getName, getRetries, getRetryStrategy, setRetryStrategy`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PlottableRequest

          public PlottableRequest(org.w3c.dom.Element config)
                           throws java.lang.Exception

      Throws:
        `java.lang.Exception`

  - ### Method Detail

    - #### accept

          public StringTree accept(edu.sc.seis.fissuresUtil.cache.CacheEvent event,
                                   edu.iris.Fissures.network.ChannelImpl channel,
                                   edu.iris.Fissures.IfSeismogramDC.RequestFilter[] request,
                                   CookieJar cookieJar)
                            throws java.lang.Exception

      Specified by:
        `accept` in interface `RequestSubsetter`
      Throws:
        `java.lang.Exception`

    - #### getDNS

          public java.lang.String getDNS()